Skip to main content

GetAvailableParserTypes - List supported parser types for a file

Lists all supported parser types for the specified file type (extension).

Usage notes

  • Before calling this operation, a RAM user must obtain Alibaba Cloud Model Studio API permissions (AliyunBailianDataFullAccess or AliyunBailianDataReadOnlyAccess, both of which include sfm:GetAvailableParserTypes) and join a workspace. An Alibaba Cloud account can call this operation directly without additional authorization. We recommend using the latest Alibaba Cloud Model Studio SDK.
  • This operation is idempotent.
Throttling: This operation is throttled if called too frequently. Do not exceed 10 calls per second. If a request is throttled, try again later.

Try it out

You can call this operation in OpenAPI Explorer without calculating a signature. After a successful call, OpenAPI Explorer can automatically generate SDK code examples. Try it out

Authorization information

The following table describes the authorization information for this API operation. You can use this information in the Action element of a RAM policy statement to grant a RAM user or RAM role permission to call the operation. The columns are described as follows:
  • Action: a specific permission.
  • Access level: the access level of an action. Valid values: Write, Read, and List.
  • Resource type: the types of resources for which the action supports authorization:
    • Required resource types are marked with an asterisk (*).
    • Actions that do not support resource-level authorization use All resources.
  • Condition key: a condition key defined by the cloud service.
  • Dependent action: an additional permission required to perform the action. The caller must also have permission to perform the dependent action.
ActionAccess levelResource typeCondition keyDependent action
sfm:GetAvailableParserTypesget*All resources*NoneNone

Request syntax

GET /{WorkspaceId}/datacenter/parser/parsertype HTTP/1.1

Request parameters

NameTypeRequiredDescriptionExample
WorkspaceIdstringYesThe ID of the workspace that contains the file. For information about how to obtain it, see Use workspaces.llm-3shx2gu255oqxxxx
FileTypestringYesThe file type (extension) for which to retrieve supported parsers. Valid values:
  • doc
  • docx
  • ppt
  • pptx
  • xls
  • xlsx
  • md
  • txt
  • pdf
  • png
  • jpg
  • jpeg
  • bmp
  • gif
  • html
pdf

Response parameters

NameTypeDescriptionExample
objectSchema of Response
RequestIdstringThe request ID.17204B98-7734-4F9A-8464-2446XXXXXXX
DataobjectThe business data returned when the request succeeds.
FileTypestringThe file type, which is the same as the FileType request parameter.pdf
ParserListarray<object>The parsers that support this file type.
ParserListobjectA parser object.
DisplayNamestringThe display name of the parsing method.Intelligent document parsing
ParserstringThe parser code. Valid values:
  • DOCMIND (intelligent document parsing)
  • DOCMIND_DIGITAL (digital document parsing)
  • DOCMIND_LLM_VERSION (large language model document parsing)
  • DASH_QWEN_VL_PARSER (Qwen-VL parsing)
DOCMIND
StatusstringThe status code returned by the operation.200
SuccessbooleanIndicates whether the API call succeeded. Valid values:
  • true: succeeded.
  • false: failed.
true
MessagestringThe error message.User not authorized to operate on the specified resource
CodestringThe returned error code.DataCenter.Throttling

Examples

Sample success response JSON format
{
  "RequestId": "17204B98-7734-4F9A-8464-2446XXXXXXX",
  "Data": {
    "FileType": "pdf",
    "ParserList": [
      {
        "DisplayName": "智能文档解析",
        "Parser": "DOCMIND"
      }
    ]
  },
  "Status": 200,
  "Success": true,
  "Message": "User not authorized to operate on the specified resource",
  "Code": "DataCenter.Throttling"
}

Error codes

For more error codes, see Error Center.
Managed Agent API
Flow Agent API
Sandbox API
RAG API
Long-term Memory
ParseX API
Security API
Framework Integration